# -*- coding: utf-8 -*-
# Generated by Django 1.11.29 on 2021-04-08 11:24
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('raster', '0037_auto_20170509_0559'),
        ('front', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='SatelliteRaster',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('raster_name', models.TextField(blank=True)),
                ('raster_date', models.DateField()),
                ('raster_observatory', models.CharField(blank=True, max_length=100, null=True)),
                ('raster_threshold', models.CharField(blank=True, max_length=200, null=True)),
                ('raster', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='raster.RasterLayer')),
                ('raster_deployment', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='front.Deployment')),
            ],
        ),
    ]
